Package org.pgpainless.sop

# Class VerificationHelper

java.lang.Object
org.pgpainless.sop.VerificationHelper

public class VerificationHelper extends Object
Helper class for shared methods related to `Verifications`.

## Constructor Summary

Constructors
Constructor
Description
`VerificationHelper()`

## Method Summary

Modifier and Type
Method
Description
`static sop.Verification`
`mapVerification(org.pgpainless.decryption_verification.SignatureVerification sigVerification)`
Map a `SignatureVerification` object to a `Verification`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerificationHelper

public VerificationHelper()

## Method Details

### mapVerification

public static sop.Verification mapVerification(org.pgpainless.decryption_verification.SignatureVerification sigVerification)
Map a `SignatureVerification` object to a `Verification`.

Parameters:
  `sigVerification` - signature verification
Returns:
  verification